import { BaseService, Service } from '@/cool/index';

export class CouponService extends BaseService {
	page(data) {
		return this.request({
			url: '/coupon/list',
			params: data
		});
	}

	assetDet() {
		return this.request({
			url: '/coupon-asset/detail'
		});
	}

	assetUpdate(data) {
		return this.request({
			url: '/coupon-asset/update',
			method: 'POST',
			data: data
		});
	}
}

export default new CouponService();
